/*
 ---------------------------------------------------------------
 Copyright (c) 2006, ixi software.
 This work is licensed under a Creative Commons 
 Attribution-NonCommercial-ShareAlike 2.0 England & Wales License.
 http://creativecommons.org/licenses/by-nc-sa/2.0/uk/
 --------------------------------------------------------------- 
 */

// declating and initialising some variables
float x = 0; // this is float because later we add x+delta and delta is float. 
float y = random(50,150); // random y location
float deltaX = random(1,5); // random movement
/*
note that this can be done in two steps like this:
float X; // first declare
x = 1;   // secondly assign a value to it
other variable types are :
int a = 1000;
String mystring = "hello world";
Boolean zz = true;
and so on ...
variables declared here (outside functions) are available from the whole scope of the script, they are global
therefore we can access value of x, delta and y from any function below, unlike c1 which is
declared inside setup() and it "dies" after the setup() function is done, that it is a local variable
*/
   
void setup() { // just when starting up
   frameRate(20); // fps
   size(300, 200); // window size
   background(100); // bg color
   noStroke();
   color c1 = color(random(255), random(255), random(255));
   fill(c1); // set here the drawing color 
  }

void draw(){ // this is our main loop
    background(100);
    ellipse(x, y, 55, 55);
    x = x + deltaX; // increases x by deltaX amount, this causes the circle to move to the right
    if (x>=300){ // if circle gets to the right end (window is 300 px wide)
      x=1;       // then it goes back to left
    }
}
