/*
 ---------------------------------------------------------------
 Copyright (c) 2006, ixi software.
 This work is licensed under a Creative Commons 
 Attribution-NonCommercial-ShareAlike 2.0 England & Wales License.
 http://creativecommons.org/licenses/by-nc-sa/2.0/uk/
 --------------------------------------------------------------- 
 */

// declating and initialising some variables
float x = 1;
float y = random(50,150);
float deltaX = random(1,5);
/*
note that this can be done in two steps like this:
float X; // first declare
x = 1;   // secondly assign a value to it
*/
   
void setup() { // just when starting up
   frameRate(20); // fps
   size(300, 200); // window size
   background(100); // bg color
   noStroke();
   color c1 = color(random(255), random(255), random(255));
   fill(c1);
  }

void draw(){ // this is our main loop
    background(255);
    ellipse(x, y, 155, 155);
    
    for(int i=155; i>5; i=i-5){ // draw a circle 5 px smaller everytime until they are 10 px width
       // try to comment/uncoment the following color asignments to see different effects
       color c1 = color(random(255), random(255), random(255)); // rand color
       //color c1 = color(i, i, i); // grey scale
       //color c1 = color(random(i), random(i), random(i)); // random getting darker
       fill(c1);
       ellipse(x, y, i,i);
     }
    
    x = x+deltaX; // increases x by deltaX amount, this causes the circle to move to the right
    if (x>=300){ // if circle gets to the right end
      x=1;       // then it goes back to left
    }
}
