/*
 ---------------------------------------------------------------
 Copyright (c) 2006, ixi software.
 This work is licensed under a Creative Commons 
 Attribution-NonCommercial-ShareAlike 2.0 England & Wales License.
 http://creativecommons.org/licenses/by-nc-sa/2.0/uk/
 --------------------------------------------------------------- 
 */

/* lets add vertical movement to the circle. We also check for bouncing against
top and botton limits. For this we need one variable to hold the vertical increase rate 
and another one for the vertical location
*/

float x = 1;
float y = random(50,150);
float deltaX = random(1,5);
float deltaY = random(1,5);
   
void setup() { // just when starting up
   frameRate(20); // fps
   size(300, 200); // window size
   background(100); // bg color
   noStroke();
   color c1 = color(random(255), random(255), random(255));
   fill(c1);
  }
  


void draw(){ // this is our main loop
    background(100);
    ellipse(x, y, 55, 55);
    
    x = x+deltaX; // modifies X posotion by deltaX amount
    y = y+deltaY; // modifies Y posotion by deltaY amount
    
    if (x>=300 || x<=0){ // bounce on right and left
      deltaX = -deltaX; //change X direction
    }
    if (y>=200 || y<=0){ // bounce on top and bottom
      deltaY = -deltaY; //change Y direction
    }
}
